package com.ruoyi.web.work.mapper;

import java.util.List;
import com.ruoyi.web.work.domain.Patient;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.dto.PatientCardDto;

/**
 * @author lsw
 * @date 2024-07-19
 */
public interface PatientMapper extends BaseMapper<Patient> {
    List<Patient> selectList(Patient patient);

    List<PatientCardDto> getPatientCardByNameOrRoomOrEntity(String patientName, String departmentName, String entity);

    List<PatientCardDto> getPatientByDepartment(String department);


}
